| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ParticleProperty Class Reference

`#include <GaudiKernel/ParticleProperty.h>`

Collaboration diagram for ParticleProperty:

[legend]
List of all members.

## Detailed Description

A trivial class to hold information about a single particle properties.

All particle properties are accessible through accessor functions

Author:
  Iain Last,G.Corti

Definition at line 19 of file ParticleProperty.h.

## Public Member Functions
| ParticleProperty ()
| Constructors.
| ParticleProperty (const std::string &particle, int geantId, int jetsetId, double charge, double mass, double tlife, const std::string &evtgenName, int pythiaId, double maxWidth)
| ~ParticleProperty ()
| Destructor.
const std::string & | particle () const
| Get the particle name.
void | setParticle (const std::string &particle)
| Set the particle name.
int | geantID () const
| Get the GEANT3 ID.
void | setGeantID (int id)
| Set the GEANT3 ID.
int | pdgID () const
| Get the PDG (= JETSET) ID.
void | setPdgID (int id)
| Set the PDG (= JETSET) ID.
int | jetsetID () const
| Get the JETSET(StdHep) ID.
void | setJetsetID (int id)
| Set the JETSET(StdHep) ID.
double | charge () const
| Get the particle charge.
void | setCharge (double q)
| Set the particle charge.
double | mass () const
| Get the particle mass.
void | setMass (double m)
| Set the particle charge.
double | lifetime () const
| Get the particle lifetime.
void | setLifetime (double t)
| Set the particle lifetime.
const std::string & | evtGenName () const
| Get the EvtGen name.
void | setEvtGenName (const std::string &name)
| Set the EvtGen name.
int | pythiaID () const
| Get the Pythia ID.
void | setPythiaID (int pId)
| Set the Pythia ID.
double | maxWidth () const
| Get the max width deviation.
void | setMaxWidth (double mW)
| Set the max width deviation.
const ParticleProperty * | antiParticle () const
| get the pointer to the antiparticle
void | setAntiParticle (const ParticleProperty *p)
| set the pointer to the antiparticle
## Private Attributes
std::string | m_name
| The particle name.
int | m_idgeant
| The GEANT ID.
int | m_idjetset
| The Jetset ID.
double | m_charge
| The charge.
double | m_mass
| The mass.
double | m_tlife
| The lifetime.
std::string | m_evtgenName
| The EvtGen Name.
int | m_pythiaId
| The Pythia ID.
double | m_maxWidth
| The maximum width deviation.
const ParticleProperty * | m_anti
| the antiparticle
## Friends
std::ostream & | operator<< (std::ostream &stream, const ParticleProperty &pp)

## Constructor & Destructor Documentation

ParticleProperty::ParticleProperty | ( |  | ) | `[inline]`

Constructors.

Definition at line 22 of file ParticleProperty.h.

    00022 {}

ParticleProperty::ParticleProperty | ( | const std::string & | particle,
|  | int | geantId,
|  | int | jetsetId,
|  | double | charge,
|  | double | mass,
|  | double | tlife,
|  | const std::string & | evtgenName,
|  | int | pythiaId,
|  | double | maxWidth |
| ) |  |  | `[inline]`

Definition at line 25 of file ParticleProperty.h.

    00034     : m_name         ( particle   )
    00035     , m_idgeant      ( geantId    )
    00036     , m_idjetset     ( jetsetId   )
    00037     , m_charge       ( charge     )
    00038     , m_mass         ( mass       )
    00039     , m_tlife        ( tlife      )
    00040     , m_evtgenName   ( evtgenName )
    00041     , m_pythiaId     ( pythiaId   )
    00042     , m_maxWidth     ( maxWidth   )
    00043     , m_anti         ( 0          )
    00044   {}

ParticleProperty::~ParticleProperty | ( |  | ) | `[inline]`

Destructor.

Definition at line 47 of file ParticleProperty.h.

    00047 {}

## Member Function Documentation

const std::string& ParticleProperty::particle | ( |  | ) | const`[inline]`

Get the particle name.

Definition at line 50 of file ParticleProperty.h.

References m_name.

Referenced by ParticlePropertySvc::push_back(), and setParticle().

    00050 { return m_name; }

void ParticleProperty::setParticle | ( | const std::string & | particle | ) | `[inline]`

Set the particle name.

Definition at line 53 of file ParticleProperty.h.

References m_name, and particle().

    00053 { m_name = particle; }

int ParticleProperty::geantID | ( |  | ) | const`[inline]`

Get the GEANT3 ID.

Definition at line 56 of file ParticleProperty.h.

References m_idgeant.

Referenced by ParticlePropertySvc::push_back().

    00056 { return m_idgeant; }

void ParticleProperty::setGeantID | ( | int | id | ) | `[inline]`

Set the GEANT3 ID.

Definition at line 59 of file ParticleProperty.h.

References m_idgeant.

    00059 { m_idgeant = id; }

int ParticleProperty::pdgID | ( |  | ) | const`[inline]`

Get the PDG (= JETSET) ID.

Definition at line 62 of file ParticleProperty.h.

References m_idjetset.

Referenced by ParticlePropertySvc::anti().

    00062 { return m_idjetset; }

void ParticleProperty::setPdgID | ( | int | id | ) | `[inline]`

Set the PDG (= JETSET) ID.

Definition at line 65 of file ParticleProperty.h.

References m_idjetset.

    00065 { m_idjetset = id; }

int ParticleProperty::jetsetID | ( |  | ) | const`[inline]`

Get the JETSET(StdHep) ID.

Definition at line 68 of file ParticleProperty.h.

References m_idjetset.

Referenced by ParticlePropertySvc::push_back().

    00068 { return m_idjetset; }

void ParticleProperty::setJetsetID | ( | int | id | ) | `[inline]`

Set the JETSET(StdHep) ID.

Definition at line 71 of file ParticleProperty.h.

References m_idjetset.

    00071 { m_idjetset = id; }

double ParticleProperty::charge | ( |  | ) | const`[inline]`

Get the particle charge.

Definition at line 74 of file ParticleProperty.h.

References m_charge.

    00074 { return m_charge; }

void ParticleProperty::setCharge | ( | double | q | ) | `[inline]`

Set the particle charge.

Definition at line 77 of file ParticleProperty.h.

References m_charge.

    00077 { m_charge = q; }

double ParticleProperty::mass | ( |  | ) | const`[inline]`

Get the particle mass.

Definition at line 80 of file ParticleProperty.h.

References m_mass.

Referenced by FindByMassRange::operator()().

    00080 { return m_mass; }

void ParticleProperty::setMass | ( | double | m | ) | `[inline]`

Set the particle charge.

Definition at line 83 of file ParticleProperty.h.

References m_mass.

    00083 { m_mass = m; }

double ParticleProperty::lifetime | ( |  | ) | const`[inline]`

Get the particle lifetime.

Definition at line 86 of file ParticleProperty.h.

References m_tlife.

    00086 { return m_tlife; }

void ParticleProperty::setLifetime | ( | double | t | ) | `[inline]`

Set the particle lifetime.

Definition at line 89 of file ParticleProperty.h.

References m_tlife.

    00089 { m_tlife = t; }

const std::string& ParticleProperty::evtGenName | ( |  | ) | const`[inline]`

Get the EvtGen name.

Definition at line 92 of file ParticleProperty.h.

References m_evtgenName.

    00092 { return m_evtgenName ; }

void ParticleProperty::setEvtGenName | ( | const std::string & | name | ) | `[inline]`

Set the EvtGen name.

Definition at line 95 of file ParticleProperty.h.

References m_evtgenName, and name.

    00095 { m_evtgenName = name ; }

int ParticleProperty::pythiaID | ( |  | ) | const`[inline]`

Get the Pythia ID.

Definition at line 98 of file ParticleProperty.h.

References m_pythiaId.

Referenced by ParticlePropertySvc::push_back().

    00098 { return m_pythiaId ; }

void ParticleProperty::setPythiaID | ( | int | pId | ) | `[inline]`

Set the Pythia ID.

Definition at line 101 of file ParticleProperty.h.

References m_pythiaId.

    00101 { m_pythiaId = pId ; }

double ParticleProperty::maxWidth | ( |  | ) | const`[inline]`

Get the max width deviation.

Definition at line 104 of file ParticleProperty.h.

References m_maxWidth.

    00104 { return m_maxWidth ; }

void ParticleProperty::setMaxWidth | ( | double | mW | ) | `[inline]`

Set the max width deviation.

Definition at line 107 of file ParticleProperty.h.

References m_maxWidth.

    00107 { m_maxWidth = mW ; }

const ParticleProperty* ParticleProperty::antiParticle | ( |  | ) | const`[inline]`

get the pointer to the antiparticle

Definition at line 110 of file ParticleProperty.h.

References m_anti.

    00110 { return m_anti ; }

void ParticleProperty::setAntiParticle | ( | const ParticleProperty * | p | ) | `[inline]`

set the pointer to the antiparticle

Definition at line 112 of file ParticleProperty.h.

References m_anti.

    00112 { m_anti = p ; }

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | stream,
|  | const ParticleProperty & | pp |
| ) |  |  | `[friend]`

Definition at line 115 of file ParticleProperty.h.

    00116   {
    00117     stream << "Name : " << pp.m_name
    00118            << ", Geant ID : " << pp.m_idgeant
    00119            << ", JetSet ID : " << pp.m_idjetset
    00120            << ", Charge (/e): " << pp.m_charge
    00121            << ", Mass (MeV): " << pp.m_mass
    00122            << ", Lifetime (ns): " << pp.m_tlife
    00123            << ", EvtGen Name: " << pp.m_evtgenName
    00124            << ", Pythia ID: " << pp.m_pythiaId
    00125            << ", Max width deviation (MeV): " << pp.m_maxWidth ;
    00126     return stream;
    00127   }

## Member Data Documentation

std::string ParticleProperty::m_name`[private]`

The particle name.

Definition at line 131 of file ParticleProperty.h.

Referenced by particle(), and setParticle().

int ParticleProperty::m_idgeant`[private]`

The GEANT ID.

Definition at line 134 of file ParticleProperty.h.

Referenced by geantID(), and setGeantID().

int ParticleProperty::m_idjetset`[private]`

The Jetset ID.

Definition at line 137 of file ParticleProperty.h.

Referenced by jetsetID(), pdgID(), setJetsetID(), and setPdgID().

double ParticleProperty::m_charge`[private]`

The charge.

Definition at line 140 of file ParticleProperty.h.

Referenced by charge(), and setCharge().

double ParticleProperty::m_mass`[private]`

The mass.

Definition at line 143 of file ParticleProperty.h.

Referenced by mass(), and setMass().

double ParticleProperty::m_tlife`[private]`

The lifetime.

Definition at line 146 of file ParticleProperty.h.

Referenced by lifetime(), and setLifetime().

std::string ParticleProperty::m_evtgenName`[private]`

The EvtGen Name.

Definition at line 149 of file ParticleProperty.h.

Referenced by evtGenName(), and setEvtGenName().

int ParticleProperty::m_pythiaId`[private]`

The Pythia ID.

Definition at line 152 of file ParticleProperty.h.

Referenced by pythiaID(), and setPythiaID().

double ParticleProperty::m_maxWidth`[private]`

The maximum width deviation.

Definition at line 155 of file ParticleProperty.h.

Referenced by maxWidth(), and setMaxWidth().

const ParticleProperty* ParticleProperty::m_anti`[private]`

the antiparticle

Definition at line 158 of file ParticleProperty.h.

Referenced by antiParticle(), and setAntiParticle().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiKernel/v25r2/GaudiKernel/ParticleProperty.h